GET /katello/api/capsules 204
| Param name | Description |
|---|---|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. ‘id DESC’ Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|
GET /katello/api/capsules/281110143
200
{
"created_at": "2026-11-03 08:05:52 UTC",
"updated_at": "2026-11-03 08:05:52 UTC",
"hosts_count": 0,
"unrecognized_features": [],
"name": "Unused Proxy",
"id": 281110143,
"url": "http://else.where:45672",
"remote_execution_pubkey": null,
"remote_execution_ca_pubkey": null,
"download_policy": null,
"supported_pulp_types": [],
"lifecycle_environments": [],
"features": [
{
"capabilities": [],
"name": "Container_Gateway",
"id": 1006510569
},
{
"capabilities": [
"core"
],
"name": "Pulpcore",
"id": 990889162
}
],
"locations": [
{
"id": 255093256,
"name": "Location 1",
"title": "Location 1",
"description": null
}
],
"organizations": [
{
"id": 114267492,
"name": "Empty Organization",
"title": "Empty Organization",
"description": null
}
]
}
| Param name | Description |
|---|---|
|
id
required |
Id of the smart proxy Validations:
|